#pragma once

#include <vector>
#include <string>

class Bitmap
{
  public:
    void clear();
    void addLine(int, int = 0);
    void addLine(std::vector<bool>);
   
    void setRow(int state, int index = 0, int size = 0);
    void setRow(std::vector<bool> state, int index = 0);

    void setSize(int width, int height);
    void setWidth(int);
    void setHeight(int);
    
    std::vector<bool> getRow(int);
    std::vector<bool> getColumn(int);

    void writePBM(std::string filename);
    void print();
    
    std::vector<std::vector<bool> > getBitmap();
  
  private:
    std::vector<std::vector<bool> > bitmap;

};

