#pragma once

#include <stdint.h>

uint32_t* number2array(uint64_t number, uint32_t base, uint32_t size);
uint64_t array2number(uint32_t* array, uint32_t base, uint32_t size);

// In place editing of the array
void number2array(uint64_t number, uint32_t base,
    uint32_t size, uint32_t *array, bool reverse=false);

// In place editing of the number
void array2number(uint64_t &number, uint32_t base,
    uint32_t size, uint32_t const *array, bool reverse=false);

