#pragma once

#include <stdint.h>

/**
 * Calculate the togglecount specter from a sequence of cell states.
 * @param cellstates the cell state sequence
 * @param size size of \a cellstates
 * @param specter the specter the transform will be added to, of size \a size
 */
void togglecount(uint32_t const *cellstates, uint32_t size, uint32_t *specter);

