#pragma once

#include <vector>

class ECA
{
  public:
    ECA(int rule=30, int size=32);
    unsigned int next(unsigned int state);
    std::vector<bool> next(std::vector<bool> state);

    void printState(unsigned int state);
    void printState(std::vector<bool> state);

  private:
    bool rule_table[8];
    int size;

};

