#pragma once

#include "datapoint.h"

#include <stdint.h>
#include <vector>
#include <map>

struct Assignment
{
  uint32_t base;
  uint32_t rule_radius;
  uint64_t rule_number;
  uint32_t size;

  std::vector<uint32_t> window_sizes;
  std::vector<Datapoint> results;

  bool finished;
};

