#pragma once

#include <stdint.h>

class Necklace
{
  public:
    Necklace(uint32_t size, uint32_t base); // initialize to (base-1)^size.
    ~Necklace();

    uint32_t * const ptr(); // get pointer to necklace
    uint32_t * const next(); // increment necklace & get ptr
    bool atstart(); // At first necklace?

    void print(); // Print state to stdout.

  private:
    uint32_t base;
    uint32_t size;
    uint32_t *state; // the necklace array
    uint32_t *state1index; // hack for 1-indexed necklace array (&state[-1])
};

