#include "transform.h"

void togglecount(uint32_t const *cellstates, uint32_t size, uint32_t *specter)
{
  uint32_t toggles = 0;
  uint32_t previous = cellstates[0];
  for (uint32_t i = 1; i < size; ++i)
  {
    if (cellstates[i] != previous)
    {
      ++toggles;
      previous = cellstates[i];
    }
  }
  ++specter[toggles];
}

